package com.icontrols.bridge.common;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

import com.google.gson.JsonIOException;
import com.google.gson.JsonObject;
import com.google.gson.JsonParser;
import com.google.gson.JsonSyntaxException;

public class CommonUtil {
	public static JsonObject getJsonObject(String str) {
		JsonParser jsonParser = new JsonParser();
		
		JsonObject object = null;
		try {
			object = (JsonObject)jsonParser.parse(str);
		} catch (JsonIOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (JsonSyntaxException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} 
		
		return object;
	}
	
	public static boolean isWindows() {
		String OS = System.getProperty("os.name").toLowerCase();

		if (OS.indexOf("win") >= 0) {
			return true;
		}
		return false;
	}
	
	public static String readFile(String filePath) {
        BufferedReader br = null;
        StringBuffer sb = new StringBuffer(); // ׽Ʈ 
         try {
            br = new BufferedReader(new FileReader(filePath));
            String line = null;
            
            while ((line = br.readLine()) != null) {
                //System.out.println(line);
                sb.append(line);
            }
 
        } catch (IOException ioe) {
            System.out.println(ioe.getMessage());
        } finally {
            try { 
                if (br!=null) 
                    br.close(); 
            } catch (Exception e) {}
        }
         
         return sb.toString();
    }
	
	public static String getPropFileDir() {
		return isWindows()?COMMON_INFO.WINDOWS_PROPERTIES_DIR:COMMON_INFO.LINUX_PROPERTIES_DIR;
	}

}
